%define module_name PDL-Ngrams
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(PDL.pm) perl(PDL/VectorValued.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12
Release: alt2
Summary: N-Gram utilities for PDL
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MO/MOOCOW/%{module_name}-%{version}.tar.gz
#BuildArch: noarch

%description
PDL::Ngrams provides basic utilities for tracking N-grams over PDL vectors.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ChangeLog README.txt
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.12-alt2
- rebuild with perl 5.38

* Fri May 20 2022 Igor Vlasenko <viy@altlinux.org> 0.12-alt1
- updated by package builder

* Mon May 16 2022 Igor Vlasenko <viy@altlinux.org> 0.11-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.10-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.10-alt2
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.10-alt1.1
- rebuild with perl 5.28.1

* Sun Jan 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- initial import by package builder

